local UFP = "UnitFramePortrait_Update"
local UICC = "Interface\\TargetingFrame\\UI-Classes-Circles"
local CIT = CLASS_ICON_TCOORDS

hooksecurefunc(UFP,function(self)
        if self.portrait then
                if UnitIsPlayer(self.unit) then				
				SetPortraitToTexture("PlayerPortrait", "Interface\\AddOns\\MinyonCF\\Coolface")				
				if self.unit == "player" or self.unit == "pet" or self.unit == "partypet1" or self.unit == "partypet2" or self.unit == "partypet3" or self.unit == "partypet4" then return end				
                        self.portrait:SetTexture(UICC)
                        self.portrait:SetTexCoord(unpack(CIT[select(2,UnitClass(self.unit))]))
                else
                        self.portrait:SetTexCoord(0,1,0,1)
                end
        end
end)